<p align="center">
  <img width="180" src="https://alex8088.github.io/assets/evplayer-logo.png" alt="EvPlayer logo">
</p>
<br/>
<p align="center">
  <img src="https://img.shields.io/github/v/release/alex8088/EvPlayer?style=flat-square" alt="release">
  <img src="https://img.shields.io/github/license/alex8088/EvPlayer?style=flat-square" alt="license">
</p>
<br/>

# EvPlayer

> Video player base on Electron

## Features

- [x] Cross Platform: Windows, Mac and Linux
- [x] Simple and no ads
- [x] Video thumbnails
- [x] Playback history
- [x] Keyboard shortcut controls
- [ ] Remember playback progress
- [ ] Screenshot
- [ ] AVI, MKV and more format support

## Supports

- MP4 H.264
- WebM
- Ogg Theora Vorbis

## Download

You can download from [Release](https://github.com/alex8088/EvPlayer/releases) page

## Screenshots

![screenshot](https://alex8088.github.io/assets/evplayer-screenshot.png?x)

## Shortcuts

|   Shortcut   | Description         |
| :----------- | :------------------ |
| `Space`      | Play or Pause       |
| `→`          | Forward 5 seconds   |
| `←`          | Rewind 5 seconds    |
| `↑`          | Volume up           |
| `↓`          | Volume down         |
| `m`          | Muted or not        |
| `f` or `F11` | Fullscreen or not   |

## Develop

### Install

```bash
$ npm install
```

### Development

```bash
$ npm run dev
```

### Build

```bash
# For windows
$ npm run build:win

# For macOS
$ npm run build:mac

# For Linux
$ npm run build:linux
```

## License

[MIT](./LICENSE) © alex.wei
